package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF183Response {

    @Parameter(name = "CastkaLimitu")
    Double castkaLimitu();

    @Parameter(name = "CastkaZbyvajiciVPeriode")
    Double castkaZbyvajiciVPeriode();

    @Parameter(name = "CisloUctuPlatce")
    String cisloUctuPlatce();

    @Parameter(name = "CisloUctuPrijemceInterni")
    String cisloUctuPrijemceInterni();

    @Parameter(name = "DatumPlatnostDo")
    java.util.Date datumPlatnostDo();

    @Parameter(name = "DatumPosledniPlatby")
    java.util.Date datumPosledniPlatby();

    @Parameter(name = "DatumPosledniZmeny")
    java.util.Date datumPosledniZmeny();

    @Parameter(name = "DatumPrvniProvedenePlatby")
    java.util.Date datumPrvniProvedenePlatby();

    @Parameter(name = "KodBankyPrijemce")
    String kodBankyPrijemce();

    @Parameter(name = "KodObchodnihoMistaPlatce")
    String kodObchodnihoMistaPlatce();

    @Parameter(name = "NazevUctuPlatce")
    String nazevUctuPlatce();

    @Parameter(name = "NazevUctuPrijemce")
    String nazevUctuPrijemce();

    @Parameter(name = "Perioda")
    String perioda();

    @Parameter(name = "PovolenoOd")
    java.util.Date povolenoOd();

    @Parameter(name = "Stav")
    String stav();

    @Parameter(name = "Urednik")
    String urednik();

}